## gflags 2.0

=== debian/changelog ===
gflags (2.0-1.1ubuntu1) trusty; urgency=low

  * Use dh-autoreconf instead of autotools-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 15:59:32 +0100

gflags (2.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64 (closes: #725924).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 10:52:52 +0000

gflags (2.0-1) unstable; urgency=low

  * Initial release (Closes: #523411)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 31 May 2012 20:19:37 +0900
