=== debian/control ===
Source: gflags
Priority: optional
Maintainer: Koichi Akabe <vbkaisetsu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
Standards-Version: 3.9.3
Section: libs
Homepage: https://code.google.com/p/gflags/

Package: libgflags-dev
Section: libdevel
Architecture: any
Depends: libgflags2 (= ${binary:Version}), ${misc:Depends}
Description: commandline flags module for C++ (development files)
 gflag is a library that implements commandline flags processing. As
 such it's a replacement for getopt(). It has increased flexibility,
 including built-in support for C++ types like string, and the ability
 to define flags in the source file in which they're used.
 .
 This package contains development libraries and header files.

Package: libgflags2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: commandline flags module for C++ (shared library)
 gflag is a library that implements commandline flags processing. As
 such it's a replacement for getopt(). It has increased flexibility,
 including built-in support for C++ types like string, and the ability
 to define flags in the source file in which they're used.
 .
 This package contains shared libraries.

Package: libgflags-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation of gflags
 gflag is a library that implements commandline flags processing. As
 such it's a replacement for getopt(). It has increased flexibility,
 including built-in support for C++ types like string, and the ability
 to define flags in the source file in which they're used.
 .
 This package contains documentation files.
