=== debian/watch ===
version=3
http://code.google.com/p/gflags/downloads/list?can=1 .*/gflags-(\d[\d.]*)\.tar\.gz
