## gflags 2.1.2

=== debian/changelog ===
gflags (2.1.2-3) unstable; urgency=medium

  * Rename library to libgflags2v5 for GCC 5 transition.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 05 Aug 2015 20:06:48 +0200

gflags (2.1.2-2) unstable; urgency=low

  * Upload to unstable.
  * Be the primary maintainer, Koichi is MIA for more than a year.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 May 2015 16:53:39 +0000

gflags (2.1.2-1) experimental; urgency=low

  * New upstream release (closes: #780331).
  * Switch to CMake build system and adjust packaging.
  * Update project homepage.
  * Update watch file.
  * Update Standards-Version to 3.9.6 .
  * Add myself as uploader.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 25 Mar 2015 23:15:52 +0000

gflags (2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh-autoreconf instead of autotools-dev. Closes: ##753335.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Aug 2014 12:27:11 +0200

gflags (2.0-2) unstable; urgency=low

  * debian/control
   - fix typo of long description. (Closes: #732759)
   - bump Standards-Version to 3.9.5

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 22 Dec 2013 19:13:23 +0900
