=== debian/control ===
Source: gflags
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Uploaders: Koichi Akabe <vbkaisetsu@gmail.com>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.6
Section: libs
Homepage: http://gflags.github.io/gflags/

Package: libgflags-dev
Section: libdevel
Architecture: any
Depends: libgflags2v5 (= ${binary:Version}), ${misc:Depends}
Description: commandline flags module for C++ (development files)
 gflags is a library that implements commandline flags processing. As
 such it's a replacement for getopt(). It has increased flexibility,
 including built-in support for C++ types like string, and the ability
 to define flags in the source file in which they're used.
 .
 This package contains development libraries and header files.

Package: libgflags2v5
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgflags2
Replaces: libgflags2
Description: commandline flags module for C++ (shared library)
 gflags is a library that implements commandline flags processing. As
 such it's a replacement for getopt(). It has increased flexibility,
 including built-in support for C++ types like string, and the ability
 to define flags in the source file in which they're used.
 .
 This package contains shared libraries.

Package: libgflags-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation of gflags
 gflags is a library that implements commandline flags processing. As
 such it's a replacement for getopt(). It has increased flexibility,
 including built-in support for C++ types like string, and the ability
 to define flags in the source file in which they're used.
 .
 This package contains documentation files.
