=== debian/changelog ===
gflags (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Aug 2017 17:34:27 +0000

gflags (2.2.0-2) unstable; urgency=medium

  * Start the transition with upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Jun 2017 18:57:48 +0000

gflags (2.2.0-1) experimental; urgency=low

  * New upstream release.
  * Add upstream documentation for offline access.
  * Properly ship nothreads variant of the library (closes: #787335).
  * Install pkg-config file.
  * Add CMake targets to the -dev package.
  * Library transition from libgflags2v5 to libgflags2.2 .
  * Update Standards-Version to 3.9.8 .
  * Remove Koichi Akabe from uploaders, MIA for years.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 Nov 2016 19:11:17 +0000
