=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: gflags
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Uploaders: Koichi Akabe <vbkaisetsu@gmail.com>
-Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), cmake
+Standards-Version: 4.0.0
 Section: libs
 Homepage: http://gflags.github.io/gflags/
 
 Package: libgflags-dev
 Section: libdevel
 Architecture: any
-Depends: libgflags2v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libgflags2.2 (= ${binary:Version}), ${misc:Depends}
 Description: commandline flags module for C++ (development files)
  gflags is a library that implements commandline flags processing. As
  such it's a replacement for getopt(). It has increased flexibility,
@@ -19,7 +18,7 @@
  .
  This package contains development libraries and header files.
 
-Package: libgflags2v5
+Package: libgflags2.2
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
