=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CONFIGURE_ARGS= \
 -DCMAKE_BUILD_TYPE=Release \
 -DBUILD_STATIC_LIBS=ON \
 -DBUILD_SHARED_LIBS=ON \
 -DBUILD_TESTING=ON \
 -DLIB_INSTALL_DIR:STRING="lib/$(DEB_HOST_MULTIARCH)"

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_installchangelogs:
	installchangelogs ChangeLog

%:
	dh  $@ --parallel --buildsystem=cmake

.PHONY: override_dh_auto_configure override_installchangelogs
