=== debian/watch ===
version=3
https://github.com/gflags/gflags/tags .*/tag/v?(\d[\d\.]*)
