=== debian/changelog ===
gflags (2.2.2-3) unstable; urgency=medium

  * Set minimal CMake version to 3.25 (closes: #1112950).
  * Update watch file.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 30 Sep 2025 15:16:26 +0200

gflags (2.2.2-2) unstable; urgency=medium

  * Backport upstream fixes for:
    - package.pc.in: bin and libdir to exec_prefix,
    - replace deprecated C headers,
    - switch test shebang to python3 .
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 01 Jan 2021 10:50:43 +0100

gflags (2.2.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 13:28:08 +0100

gflags (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 21 Nov 2018 18:55:19 +0000
