=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: gflags
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), cmake
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 13), cmake
+Standards-Version: 4.7.2
 Section: libs
-Homepage: http://gflags.github.io/gflags/
+Homepage: https://gflags.github.io/gflags/
 
 Package: libgflags-dev
 Section: libdevel
