=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,15 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_ARGS)
 
+override_dh_auto_install:
+	dh_auto_install -O--buildsystem=cmake
+	find $(CURDIR)/debian/tmp/ -type d -name .cmake | xargs -r rm -rfv
+
 override_installchangelogs:
 	installchangelogs ChangeLog
 
 %:
-	dh  $@ --parallel --buildsystem=cmake
+	dh  $@ --buildsystem=cmake
 
-.PHONY: override_dh_auto_configure override_installchangelogs
+.PHONY: override_dh_auto_configure override_dh_auto_install \
+	override_installchangelogs
