=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/gflags/gflags refs/tags/v?@ANY_VERSION@
