=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 ## gflags tests
+
+# ----------------------------------------------------------------------------
+# CMake utilities tests
+add_subdirectory(cmake)
 
 # ----------------------------------------------------------------------------
 # output directories
@@ -140,8 +144,8 @@
 add_gflags_test(tryfromenv=version   0 "gflags_unittest" "${SLASH}gflags_unittest.cc:"  gflags_unittest  --tryfromenv=version)
 add_gflags_test(fromenv=help         0 "PASS" ""  gflags_unittest  --fromenv=help)
 add_gflags_test(tryfromenv=help      0 "PASS" ""  gflags_unittest  --tryfromenv=help)
-add_gflags_test(fromenv=helpfull     1 "helpfull not found in environment" ""  gflags_unittest  --fromenv=helpfull)
-add_gflags_test(tryfromenv=helpfull  0 "PASS" ""  gflags_unittest  --tryfromenv=helpfull)
+add_gflags_test(fromenv=helpfull      1 "helpfull not found in environment" ""  gflags_unittest  --fromenv=helpfull)
+add_gflags_test(tryfromenv=helpfull   0 "PASS" ""  gflags_unittest  --tryfromenv=helpfull)
 add_gflags_test(tryfromenv=undefok   0 "PASS" ""  gflags_unittest  --tryfromenv=undefok --foo)
 add_gflags_test(tryfromenv=weirdo    1 "unknown command line flag" ""  gflags_unittest  --tryfromenv=weirdo)
 add_gflags_test(tryfromenv-multiple  0 "gflags_unittest" "${SLASH}gflags_unittest.cc:"  gflags_unittest  --tryfromenv=test_bool,version,unused_bool)
@@ -167,6 +171,24 @@
 
 add_test(NAME gflags_declare COMMAND gflags_declare_test --message "Hello gflags!")
 set_tests_properties(gflags_declare PROPERTIES PASS_REGULAR_EXPRESSION "Hello gflags!")
+
+# ----------------------------------------------------------------------------
+# qnx specific test installation (ctest not compatible)
+if (QNX)
+  install (
+    DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}
+    DESTINATION ${RUNTIME_INSTALL_DIR}/gflags_tests
+  )
+  install (
+    DIRECTORY ${PROJECT_SOURCE_DIR}/test/
+    DESTINATION ${RUNTIME_INSTALL_DIR}/gflags_tests
+    FILES_MATCHING
+    PATTERN "flagfile.*"
+    PATTERN "gflags_unittest_flagfile"
+    PATTERN "config" EXCLUDE
+    PATTERN "nc" EXCLUDE
+  )
+endif ()
 
 # ----------------------------------------------------------------------------
 # configure Python script which configures and builds a test project
@@ -203,7 +225,3 @@
 # ----------------------------------------------------------------------------
 # build configuration test
 option (BUILD_CONFIG_TESTS "Request addition of package configuration tests." OFF)
-mark_as_advanced (BUILD_CONFIG_TESTS)
-if (BUILD_CONFIG_TESTS)
-  add_gflags_build_test (cmake_config config 0)
-endif ()
