=== test/cmake/CMakeLists.txt ===
# Unit tests for CMake utility functions, macros, and generated modules

include(${PROJECT_SOURCE_DIR}/cmake/utils.cmake)
include(${CMAKE_CURRENT_SOURCE_DIR}/package_version.cmake)
include(${CMAKE_CURRENT_SOURCE_DIR}/version_numbers.cmake)
