=== debian/changelog ===
gflags (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Library transition from libgflags2.2 to libgflags2.3 .
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 08 Dec 2025 19:45:17 +0100
