=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: libgflags-dev
 Section: libdevel
 Architecture: any
-Depends: libgflags2.2 (= ${binary:Version}), ${misc:Depends}
+Depends: libgflags2.3 (= ${binary:Version}), ${misc:Depends}
 Description: commandline flags module for C++ (development files)
  gflags is a library that implements commandline flags processing. As
  such it's a replacement for getopt(). It has increased flexibility,
@@ -18,7 +18,7 @@
  .
  This package contains development libraries and header files.
 
-Package: libgflags2.2
+Package: libgflags2.3
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
