=== debian/watch ===
Version: 5

Source: https://github.com/gflags/gflags
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
Pgpmode: none
